Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 86066 - network restart complains about cd to bad directory
Summary: network restart complains about cd to bad directory
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: initscripts
Version: 8.0
Hardware: i686
OS: Linux
medium
low
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact: Brock Organ
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-03-13 15:16 UTC by John Ward
Modified: 2014-03-17 02:35 UTC (History)
1 user (show)

Fixed In Version: 7.31-1
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-09-04 01:30:53 UTC


Attachments (Terms of Use)

Description John Ward 2003-03-13 15:16:12 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20021003

Description of problem:
The problem appears to show itself if you are in a directory that contains a
space in the name.  And you initiate a /etc/init.d/network restart.

Line 233 contains a cd to $CWD, if $CWD has spaces then this will fail.

Version-Release number of selected component (if applicable):
initscripts-6.95-1

How reproducible:
Always

Steps to Reproduce:
1.cd to a directory that contains spaces in the name
2.type /etc/init.d/network restart
3.you should see an error on the screen that cd had a problem
    

Actual Results:  cd command gave an error

Expected Results:  no error

Additional info:

Comment 1 Bill Nottingham 2003-09-04 01:30:53 UTC
Fixed, will be in 7.31-1.


Note You need to log in before you can comment on or make changes to this bug.